#ifndef _GEARING_H
#define _GEARING_H

void calc_x_most_steps(void);
void calc_y_most_steps(void);
void calc_z_most_steps(void);
void calc_e_most_steps(void);
void calc_movement_timing(void);
int calc_steps_required(double travel, int32_t steps_per_mm);
void perform_gcode_struct_calcs(void);
void ini_gcode_struct(void);

extern volatile bool app_move_now_x;
extern volatile bool app_move_now_y;
extern volatile bool app_move_now_z;
extern volatile bool app_move_now_e;

#endif /* _GEARING_H */
